Bug 170668 - Update multimedia/qmmp to v0.6.3, qmmp-plugin-pack to v0.6.2
Update multimedia/qmmp to v0.6.3, qmmp-plugin-pack to v0.6.2
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Guido Falsi
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-16 14:40 UTC by liangtai.s4
Modified: 2012-08-19 13:50 UTC (History)
0 users

See Also:


Attachments
file.diff (3.76 KB, patch)
2012-08-16 14:40 UTC, liangtai.s4
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description liangtai.s4 2012-08-16 14:40:05 UTC
Micro upgrades.
multimedia/qmmp:                 version 0.6.3
multimedia/qmmp-plugin-pack:     version 0.6.2

Atached patch file acts updates ports of them.


I should apologize that I did not give feedback to
ports/170109 after additional obscure reports.
Now that report is no longer needed.

Fix: Patch attached with submission follows:
Comment 1 Guido Falsi freebsd_committer 2012-08-17 16:48:05 UTC
Responsible Changed
From-To: freebsd-ports-bugs->madpilot

I'll take it.
Comment 2 dfilter freebsd_committer 2012-08-19 12:59:41 UTC
Author: madpilot
Date: Sun Aug 19 11:59:27 2012
New Revision: 302757
URL: http://svn.freebsd.org/changeset/ports/302757

Log:
  - Update to 0.6.3
  - Add build dependency on pkgconfig
  
  PR:		ports/170668
  Submitted by:	RyoTa SimaMoto <liangtai.s4@gmail.com> (maintainer)
  Approved by:	crees, tabthorpe (mentors, implicit)

Modified:
  head/multimedia/qmmp/Makefile   (contents, props changed)
  head/multimedia/qmmp/distinfo   (contents, props changed)

Modified: head/multimedia/qmmp/Makefile
==============================================================================
--- head/multimedia/qmmp/Makefile	Sun Aug 19 11:29:30 2012	(r302756)
+++ head/multimedia/qmmp/Makefile	Sun Aug 19 11:59:27 2012	(r302757)
@@ -6,8 +6,7 @@
 #
 
 PORTNAME=	qmmp
-PORTVERSION=	0.6.0
-PORTREVISION=	1
+PORTVERSION=	0.6.3
 CATEGORIES=	multimedia
 MASTER_SITES=	http://qmmp.ylsoftware.com/files/ \
 		${MASTER_SITE_GOOGLE_CODE}
@@ -22,6 +21,7 @@ USE_CMAKE=	yes
 USE_QT4=	corelib gui network xml \
 		qmake_build rcc_build uic_build moc_build linguist_build
 USE_LDCONFIG=	yes
+USE_PKGCONFIG=	build
 
 OPTIONS_DEFINE=	SKINNEDUI DIR_ASSOC APIDOC PULSEAUDIO ALSA OSS OSS4 \
 		JACK NULLOUT FLAC MUSEPACK FFMPEG MODPLUG WILDMIDI GME MAD \

Modified: head/multimedia/qmmp/distinfo
==============================================================================
--- head/multimedia/qmmp/distinfo	Sun Aug 19 11:29:30 2012	(r302756)
+++ head/multimedia/qmmp/distinfo	Sun Aug 19 11:59:27 2012	(r302757)
@@ -1,2 +1,2 @@
-SHA256 (qmmp-0.6.0.tar.bz2) = 4e2c9cdfd630bb90b2c92cb3e2f95ac4239c7cf8f91c47ca4a5038dd519755fe
-SIZE (qmmp-0.6.0.tar.bz2) = 772882
+SHA256 (qmmp-0.6.3.tar.bz2) = 98f5b8121d475ead81c788ec9d5346c8da537e342c0d99eaff08586af4c92ca8
+SIZE (qmmp-0.6.3.tar.bz2) = 775285
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 dfilter freebsd_committer 2012-08-19 13:47:26 UTC
Author: madpilot
Date: Sun Aug 19 12:47:12 2012
New Revision: 302758
URL: http://svn.freebsd.org/changeset/ports/302758

Log:
  - Update to 0.6.2
  - Add build dependency on pkgconfig
  - Add option controlling asm optimizations (only for i386 and amd64,
    defaults to on)
  - While here fix usage of ${ARCH}
  
  PR:		ports/170668
  Submitted by:	RyoTa SimaMoto <liangtai.s4@gmail.com> (maintainer)
  Approved by:	crees, tabthorpe (mentors, implicit)

Added:
  head/multimedia/qmmp-plugin-pack/files/
  head/multimedia/qmmp-plugin-pack/files/patch-SET_RPATH   (contents, props changed)
Modified:
  head/multimedia/qmmp-plugin-pack/Makefile   (contents, props changed)
  head/multimedia/qmmp-plugin-pack/distinfo   (contents, props changed)

Modified: head/multimedia/qmmp-plugin-pack/Makefile
==============================================================================
--- head/multimedia/qmmp-plugin-pack/Makefile	Sun Aug 19 11:59:27 2012	(r302757)
+++ head/multimedia/qmmp-plugin-pack/Makefile	Sun Aug 19 12:47:12 2012	(r302758)
@@ -6,7 +6,7 @@
 #
 
 PORTNAME=	qmmp-plugin-pack
-PORTVERSION=	0.6.0
+PORTVERSION=	0.6.2
 CATEGORIES=	multimedia
 MASTER_SITES=	http://qmmp.ylsoftware.com/files/plugins/ \
 		http://qmmp.googlecode.com/files/
@@ -23,13 +23,18 @@ USE_BZIP2=	yes
 USE_CMAKE=	yes
 USE_QT4=	corelib gui qmake_build rcc_build moc_build linguist_build
 USE_LDCONFIG=	yes
+USE_PKGCONFIG=	build
 
-OPTIONS_MULTI=	PLUGINS
-OPTIONS_MULTI_PLUGINS=	FFAP MPG123 QSUI
+OPTIONS_DEFINE=	FFAP MPG123 QSUI
 OPTIONS_DEFAULT=	FFAP MPG123 QSUI
 FFAP_DESC=		Support APE sound file
 MPG123_DESC=	Support libmpg123 (MPEG v1/2 layer1/2/3)
 QSUI_DESC=		Simple UI based on standard widgets set
+OPTIONS_DEFINE_i386=	FFAPASM
+OPTIONS_DEFAULT_i386=	FFAPASM
+OPTIONS_DEFINE_amd64=	FFAPASM
+OPTIONS_DEFAULT_amd64=	FFAPASM
+FFAPASM_DESC=	Optimize FFap decoder using devel/yasm
 
 .include <bsd.port.options.mk>
 
@@ -55,8 +60,11 @@ PLUGIN_OPTIONS_CMAKE+=	-DUSE_MPG123:BOOL
 
 .if ${PORT_OPTIONS:MFFAP}
 PLIST_SUB+=	FFAP=""
-. if ${ARCH} == i386 || ${ARCH} == x86_64
+. if (${ARCH} == i386 || ${ARCH} == amd64) && ${PORT_OPTIONS:MFFAPASM}
 BUILD_DEPENDS+=	yasm:${PORTSDIR}/devel/yasm
+PLUGIN_OPTIONS_CMAKE+=	-DUSE_ASM:BOOL=TRUE
+. else
+PLUGIN_OPTIONS_CMAKE+=	-DUSE_ASM:BOOL=FALSE
 . endif
 LIB_DEPENDS+=	tag:${PORTSDIR}/audio/taglib
 PLUGIN_OPTIONS_CMAKE+=	-DUSE_FFAP:BOOL=TRUE

Modified: head/multimedia/qmmp-plugin-pack/distinfo
==============================================================================
--- head/multimedia/qmmp-plugin-pack/distinfo	Sun Aug 19 11:59:27 2012	(r302757)
+++ head/multimedia/qmmp-plugin-pack/distinfo	Sun Aug 19 12:47:12 2012	(r302758)
@@ -1,2 +1,2 @@
-SHA256 (qmmp-plugin-pack-0.6.0.tar.bz2) = 47fe88ef372e5407a33fdd6d0fdfdc78eab9a746aa5c570b2f489836576ae9e1
-SIZE (qmmp-plugin-pack-0.6.0.tar.bz2) = 268941
+SHA256 (qmmp-plugin-pack-0.6.2.tar.bz2) = 8f241b94a3671a27d1d1f5d4695469760a52dcaafdc5e97f069b932ccb2ed41c
+SIZE (qmmp-plugin-pack-0.6.2.tar.bz2) = 121619

Added: head/multimedia/qmmp-plugin-pack/files/patch-SET_RPATH
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/multimedia/qmmp-plugin-pack/files/patch-SET_RPATH	Sun Aug 19 12:47:12 2012	(r302758)
@@ -0,0 +1,10 @@
+--- CMakeLists.txt.orig	2012-07-23 03:56:51.000000000 +0900
++++ CMakeLists.txt	2012-07-24 07:13:44.000000000 +0900
+@@ -3,6 +3,7 @@
+ #freebsd include
+ include_directories(SYSTEM /usr/include /usr/local/include)
+ 
++SET(CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)
+ 
+ CONFIGURE_FILE(
+   "${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake.in"
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 4 Guido Falsi freebsd_committer 2012-08-19 13:48:19 UTC
State Changed
From-To: open->closed

Committed, with minor changes.  Thanks! Please note that ${ARCH} will 
never contain x86_64 on FreeBSD. It's called amd64 here.